Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.numeric.cvode
Class N_Vector._N_VectorContent_Serial

    java.lang.Object
      com.sun.jna.Structure
          de.grogra.numeric.cvode.N_Vector._N_VectorContent_Serial

Enclosing class:
  N_Vector

    public static class N_Vector._N_VectorContent_Serial

extends com.sun.jna.Structure

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

Field Summary
`com.sun.jna.Pointer` | `data`
`com.sun.jna.NativeLong` | `length`
`int` | `own_data`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`N_Vector._N_VectorContent_Serial(com.sun.jna.Pointer p)`

Method Summary

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldOrder, getFields, getFieldTypeInfo, getNativeAlignment, getNativeSize, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### data

    public com.sun.jna.Pointer data

### length

    public com.sun.jna.NativeLong length

### own_data

    public int own_data

Constructor Detail

### N_Vector._N_VectorContent_Serial

    public N_Vector._N_VectorContent_Serial(com.sun.jna.Pointer p)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD